apiVersion: v1
kind: Pod
metadata:
  name: nbserv
spec:
  containers:
  - name: gpu-container
    image: gitlab-registry.nautilus.optiputer.net/prp/jupyterlab:latest
    command: ["sleep", "infinity"]
    resources:
      limits:
        memory: "8Gi"
        cpu: "2"
        nvidia.com/gpu: 1
      requests:
        memory: "8Gi"
        cpu: "2"
        nvidia.com/gpu: 1
    volumeMounts:
    - mountPath: /ceph
      name: ceph
  volumes:
    - name: ceph
      flexVolume:
        driver: ceph.rook.io/rook
        fsType: ceph
        options:
          fsName: nautilusfs
          clusterNamespace: rook
          path: /ncmir-mm
          mountUser: ncmir-mm
          mountSecret: ceph-fs-secret
  affinity:
   nodeAffinity:
     requiredDuringSchedulingIgnoredDuringExecution:
       nodeSelectorTerms:
       - matchExpressions:
         - key: gpu-type
           operator: In
           values:
           -  1080Ti
           -  2080Ti
